'use strict';

var backendPluginApi = require('@backstage/backend-plugin-api');
var alpha = require('@backstage/plugin-events-node/alpha');
var createGithubSignatureValidator = require('../http/createGithubSignatureValidator.cjs.js');

const eventsModuleGithubWebhook = backendPluginApi.createBackendModule({
  pluginId: "events",
  moduleId: "github-webhook",
  register(env) {
    env.registerInit({
      deps: {
        config: backendPluginApi.coreServices.rootConfig,
        events: alpha.eventsExtensionPoint
      },
      async init({ config, events }) {
        events.addHttpPostIngress({
          topic: "github",
          validator: createGithubSignatureValidator.createGithubSignatureValidator(config)
        });
      }
    });
  }
});

exports.eventsModuleGithubWebhook = eventsModuleGithubWebhook;
//# sourceMappingURL=eventsModuleGithubWebhook.cjs.js.map
